import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/chakravarthulaharsha/14338b7efebf90362bc66a67b5f2b607/raw/2053d6438b762dbda38efa39e665d47f75db9b52/smartphone_category.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Mrp_USD = +d['Mrp_USD'];
      return d;
    };
    csv(csvUrl, row).then(data => {
      setData(data.slice(0, 1573));
    });
  }, []);
  return data;
};